
proc addInspector {nm p} {
	global INp
	
	P_addMenuItem 3 "$nm..." "" "openInspector $p"
}

proc openInspector {w} {
	global INbr P_insp PIN

	if [catch {$w.open}] {
		source [P_find Inspector.$w]
		$w.open
	}
	if [lsearch $PIN $w]<0 {
	lappend PIN $w
	}
}

proc INch {} {
	global udef
	
	set u {}
	foreach i [array names udef] {
		append u "$i $udef($i) def\n"
	}
	P_setUserDef $u
}

proc INrm {w} {
	global PIN

	if [set n [lsearch $PIN $w]]!=-1 {
		set PIN [lreplace $PIN $n $n]
		out $PIN
	}
}

set PIN {}

proc P_upd {} {
	global PIN udef
	
	if [info exists udef] {
		foreach i $PIN {
			$i.u
		}
	}
}

#inspectors:
foreach i { {Gradient grad} } {
	addInspector [lindex $i 0] [lindex $i 1]
}
